"{ Package: 'cvut:stx/goodies/libsvn' }"

"{ NameSpace: SVN }"

Command subclass:#CreateRepositoryCommand
	instanceVariableNames:'repositoryPath'
	classVariableNames:''
	poolDictionaries:''
	category:'SVN-Private-Commands'
!

!CreateRepositoryCommand class methodsFor:'documentation'!

version_SVN
    ^'$Id$'
! !

!CreateRepositoryCommand methodsFor:'accessing'!

repositoryPath
    ^ repositoryPath
!

repositoryPath:aString
    repositoryPath := aString.
! !

!CreateRepositoryCommand methodsFor:'executing - private'!

svnCmd
    "raise an error: must be redefined in concrete subclass(es)"

    ^'create'

    "Modified: / 08-04-2009 / 20:36:48 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

svnCmdArgumentsOn:argStream
    "raise an error: must be redefined in concrete subclass(es)"

    argStream nextPut: repositoryPath

    "Modified: / 08-04-2009 / 21:36:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

svnGlobalArgumentsOn: argStream

    "No global arguments"

    "Created: / 08-04-2009 / 20:38:41 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

svnProcessCommandOutput:svnStdoutStream err:svnStderrStream

    "Nothing to do"

    "Modified: / 08-04-2009 / 20:38:13 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

svnProgram

    ^'svnadmin'

    "Created: / 08-04-2009 / 20:36:18 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!CreateRepositoryCommand class methodsFor:'documentation'!

version
    ^ '$Header$'
! !
